# $Revision: 1.8 $, $Date: 2011/12/13 20:09:07 $
Summary:	FFmpegSource - FFmpeg wrapper library
Summary(pl.UTF-8):	FFmpegSource - biblioteka obudowująca FFmpeg
Name:		ffmpegsource
Version:	2.16.2.1
Release:	1
License:	MIT (ffmpegsource itself), GPL v3+ (forced by ffmpeg)
Group:		Libraries
#Source0Download: http://code.google.com/p/ffmpegsource/downloads/list
#Source0:	http://ffmpegsource.googlecode.com/files/ffms-%{version}-src.tar.bz2
Source0:	http://rion-overlay.googlecode.com/files/ffmpegsource-2.16.2.1_pre587.tar.xz
# Source0-md5:	9eb026ed80d3c551662baabee3906f0c
URL:		http://code.google.com/p/ffmpegsource/
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake
BuildRequires:	ffmpeg-devel >= 0.9
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.0
BuildRequires:	p7zip
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FFmpegSource (usually known as FFMS or FFMS2) is a cross-platform
wrapper library around FFmpeg, plus some additional components to deal
with file formats FFmpeg's libavformat has (or used to have) problems
with. It gives you an easy, convenient way to say "open and decompress
this media file for me, I don't care how you do it" and get frame- and
sample-accurate access (usually), without having to bother with the
sometimes less than straightforward and less than perfectly documented
FFmpeg API.

%description -l pl.UTF-8
FFmpegSource (zwykle zwana FFMS lub FFMS2) to wieloplatformowa
biblioteka obudowująca FFmpeg wraz z paroma dodatkowymi komponentami
mającymi radzić sobie z formatami plików, z którymi libavformat z
FFmpeg ma (lub miał) problemy. Umożliwia w łatwy sposób zażądanie
"otwórz i zdekompresuj ten plik, nieważne jak" i uzyskanie dostępu
(zwykle) z dokładnością do ramek i próbek, bez potrzeby zajmowania
się często złożonym, nie najlepiej udokumentowanym API FFmpeg.

%package devel
Summary:	Header files for FFmpegSource library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki FFmpegSource
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ffmpeg-devel >= 0.9
Requires:	libstdc++-devel
Requires:	zlib-devel

%description devel
Header files for FFmpegSource library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki FFmpegSource.

%package static
Summary:	Static FFmpegSource library
Summary(pl.UTF-8):	Statyczna biblioteka FFmpegSource
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static FFmpegSource library.

%description static -l pl.UTF-8
Statyczna biblioteka FFmpegSource.

%prep
%setup -q -n %{name}-%{version}_pre587
%undos src/core/{indexing,lavfindexer,utils}.cpp
%{__rm} configure

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-shared \
	--enable-postproc
%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING
%attr(755,root,root) %{_bindir}/ffmsindex
%attr(755,root,root) %{_libdir}/libffms2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libffms2.so.2

%files devel
%defattr(644,root,root,755)
%doc doc/*.{html,css}
%attr(755,root,root) %{_libdir}/libffms2.so
%{_libdir}/libffms2.la
%{_includedir}/ffms.h
%{_includedir}/ffmscompat.h
%{_pkgconfigdir}/ffms2.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libffms2.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ffmpegsource.spec,v $
Revision 1.8  2011/12/13 20:09:07  arekm
- up to 2.16.2.1

Revision 1.7  2011/12/13 19:53:04  arekm
- up to 2.16

Revision 1.6  2011/07/24 15:25:15  arekm
- release 4

Revision 1.5  2011/06/29 18:28:55  lisu
- fixed required ffmpeg versions (0.8 < 0.8.0)

Revision 1.4  2011/06/27 19:22:12  arekm
- release 3

Revision 1.3  2011/06/27 15:50:17  qboosh
- added ffmpeg-0.8 patch (minimal changes to support ffmpeg 0.8)
- release 2

Revision 1.2  2011/04/29 17:13:02  qboosh
- updated to 2.15
- added c++ patch (fixes build with gcc 4.5)

Revision 1.1  2010/11/02 20:17:13  qboosh
- new
